Package org.spongepowered.asm.mixin.gen

## Class AccessorGeneratorFieldGetter

- java.lang.Object
- - org.spongepowered.asm.mixin.gen.AccessorGenerator
  - - org.spongepowered.asm.mixin.gen.AccessorGeneratorField
    - - org.spongepowered.asm.mixin.gen.AccessorGeneratorFieldGetter

    public class AccessorGeneratorFieldGetter
    extends AccessorGeneratorField

Generator for instance field getters

### Field Summary

### Fields inherited from class org.spongepowered.asm.mixin.gen.AccessorGeneratorField

`targetField, targetType`

### Fields inherited from class org.spongepowered.asm.mixin.gen.AccessorGenerator

`info, targetIsInterface, targetIsStatic`

### Constructor Summary

Constructors
`AccessorGeneratorFieldGetter​(AccessorInfo info)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.objectweb.asm.tree.MethodNode` `generate()` Generate the accessor method

### Methods inherited from class org.spongepowered.asm.mixin.gen.AccessorGenerator

`checkModifiers, createMethod, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessorGeneratorFieldGetter

    public AccessorGeneratorFieldGetter​(AccessorInfo info)

### Method Detail

#### generate

    public org.objectweb.asm.tree.MethodNode generate()

Description copied from class: `AccessorGenerator`
Generate the accessor method

Specified by:
  `generate` in class `AccessorGenerator`
Returns:
  generated accessor method